Name:           photoqt
Version:        1.6
Release:        %mkrel 1
Summary:        A fast Qt image viewer
License:        GPLv3
Group:          Graphics
Url:            http://photoqt.org/
Source0:        http://photoqt.org/pkgs/%{name}-%{version}.tar.xz
#Patch0:         photoqt-1.0-desktop-file-invalid-mime.patch
#-------------------------------------------
BuildRequires: 	%{_lib}qt5core-devel
BuildRequires: 	%{_lib}qt5help-devel
BuildRequires:	%{_lib}qt5quick-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires: 	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5svg-devel
BuildRequires:  %{_lib}exiv2-devel
BuildRequires:	LibRaw-devel
BuildRequires:  LibRaw 
BuildRequires:  cmake
BuildRequires:  GraphicsMagick-devel

#------------------------------------------
Requires:       qt4-common
Requires:       qt4-database-plugin-sqlite
Requires:       GraphicsMagick
Requires:	qtgraphicaleffects5
Requires:	qtquickcontrols5
Requires:	qtdeclarative5
Requires:	qtmultimedia5
Requires:	%{_lib}qt5-database-plugin-sqlite

%description
PhotoQt is a simple, yet powerful and good looking image viewer,
written in Qt, published as open-source, and completely free.

%prep
%setup -q
%apply_patches

%build
%cmake_qt5 #-DQT_PHONON_INCLUDE_DIR=/usr/include/KDE/Phonon

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/appdata/photoqt.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png

%clean
rm -rf %{buildroot}

%changelog
* Sat Feb 14 2018 daniel <meisssw01 at gmail.com> 1.6-1pclos2018
- update

* Tue Sep 12 2017 bb2 <bb2> - 1.5.1-3pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 1.5.1-2pclos2017
- rebuild new gcc

* Thu Aug 10 2017 bb2 <bb2> - 1.5.1-1pclos2017
- new version

* Thu Aug 10 2017 bb2 <bb2> - 1.4.1-2pclos2017
- rebuild against updates

* Thu Jun 02 2016 daniel <meisssw01 at gmail.com> 1.4.1-1pclos2016
- update
- add missing build requires
- add missing requires
- changed to qt5


* Sat Nov 23 2013 billybot <billybot> 1.0-1pclos2013
- import into pclos
